import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/base/holidayInfo/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/base/holidayInfo/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/base/holidayInfo/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/base/holidayInfo/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/base/holidayInfo/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/base/holidayInfo/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/base/holidayInfo/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function exportXls(formData) {
  //导出xls
  return request.post(constant.serverUrl + "/base/holidayInfo/exportXls", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,exportXls
}